#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>

int main() {
    int fd;

    /* Datei, auf die die Standardausgabe umgelenkt werden soll, oeffnen */
    if ((fd = open("stdout.txt", O_WRONLY | O_CREAT | O_TRUNC, 0664)) < 0)
	perror("open"), exit(1);

    close(1);	/* stdout schliessen */
    
    dup(fd);	/* fd duplizieren => 1 ist der kleinste freie! */
    close(fd);	/* fd schliessen, da doppelt */

    /* Ausgabe auf stdout => geht in die Datei stdout.txt! */
    puts("Hallo Welt!");
    
    return 0;
}
