#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <errno.h>	// hier findet sich EAGAIN, ... etc.

#define BUFLEN 128

int main() {
    char buf[BUFLEN];
    int n;

    if ((n = read(0, buf, BUFLEN)) < 0 && errno != EAGAIN)
	perror("readline"), exit(1);

    // jetzt msste man hier noch mit fcntl() das Flag O_NONBLOCK bei 0 setzen

    if (errno != EAGAIN) {
    	buf[n] = 0;	// String mit Nullbyte terminieren
	/* ... und auf stdout ausgeben */
	puts(buf);
    }
    else
    	puts("EAGAIN");
    
    return 0;
}
