#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>

int main() {
    int fd;

    close(1);	/* stdout schliessen */

    /* Datei, auf die die Standardausgabe umgelenkt werden soll, oeffnen
     * fd msste hier nun 1 sein, da 1 der kleinste freie Filedeskriptor ist
     * (er wurde ja eben geschlossen und 0 ist noch offen)
     */
    if ((fd = open("stdout.txt", O_WRONLY | O_CREAT | O_TRUNC, 0664)) < 0)
	perror("open"), exit(1);

    /* Ausgabe auf stdout => geht in die Datei stdout.txt! */
    puts("Hallo Welt!");
    
    return 0;
}
